Subject: bug#47320: Improve failure reporting in test/lisp/electrict-tests.el

From: João Távora <[email-masked]>
Date: Thu, 25 Mar 2021 23:47:11 +0000

>
> >                (point) expected-point)))))
>
> OK, I see what you meant now.  This version, instead of duplicating the
> test comparisons, duplicates the call to message.  I

The difference being that it's a one-arg call to message that has no
branching, i.e. functional impact, so if that code gets out of sync,
at least the test results don't change.  Your version duplicates the
test assertion itself.

It's localized, and none of this is serious, I was just a bit peeved
that my simple suggestion was ignored.   The solution for this is to
have ert.el utilize ert-describe-test and output that when
the test fails.   As you may know, ert-describe-test has the output
you are looking for.

João